Subject: Re: [PATCH 4/8] midx-write.c: extract `should_include_pack()`

From: Taylor Blau <[email-masked]>
Date: Wed, 29 May 2024 18:40:55 -0400

On Wed, May 29, 2024 at 09:48:08AM +0200, Patrick Steinhardt wrote:
> On Thu, May 23, 2024 at 12:38:13PM -0400, Taylor Blau wrote:
> > The add_pack_to_midx() callback used via for_each_file_in_pack_dir() is
> > used to add packs with .idx files to the MIDX being written.
> >
> > Within this function, we have a pair of checks that discards packs
> > which:
> >
> >   - appear in an existing MIDX, if we successfully read an existing MIDX
> >     from disk
> >
> >   - or, appear in the "to_include" list, if invoking the MIDX write
> >     machinery with the `--stdin-packs` command-line argument.
> >
> > In a future commit will want to call a slight variant of these checks
>
> Either s/In a/A/ or s/commit/&, we/.

Thanks for your careful review, it is much appreciated! I meant to write
the first one, and will correct it in the subsequent round :-).

Thanks,
Taylor